# Class ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection

java.lang.Object
picard.util.ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

Enclosing class:
  `ScatterIntervalsByNs`

public static class ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection extends Object implements ReferenceArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`ScatterIntervalsByNReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`
This method is retained for backward compatibility with legacy tools that have not been updated to support PicardHtsPath input files.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ReferenceArgumentCollection

`getHtsPath, getReferencePath`

## Field Details

### REFERENCE

@Argument(shortName="R", doc="Reference sequence to use. Note: this tool requires that the reference fasta has both an associated index and a dictionary.") public File REFERENCE

## Constructor Details

### ScatterIntervalsByNReferenceArgumentCollection

public ScatterIntervalsByNReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()
Description copied from interface: `ReferenceArgumentCollection`
This method is retained for backward compatibility with legacy tools that have not been updated to support PicardHtsPath input files. The preferred methods for accessing the reference file provided on the command line is either getHtsPath() or getReferencePath(). TODO: update tools that call this method to use getHtsPath()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, or the default defined by `htsjdk.samtools.Defaults.REFERENCE_FASTA`. May be null.